Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.timestamping.protocol.v2
Enum HashType

    java.lang.Object
      java.lang.Enum<HashType>
          be.fgov.ehealth.timestamping.protocol.v2.HashType

All Implemented Interfaces:
  Serializable, Comparable<HashType>

    public enum HashType

extends Enum<HashType>

Java class for HashType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="HashType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
         <enumeration value="SHA-256"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`SHA_256`

Method Summary
`static HashType` | `fromValue(String v)`
`String` | `value()`
`static HashType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HashType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SHA_256

    public static final HashType SHA_256

Method Detail

### values

    public static HashType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HashType c : HashType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HashType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static HashType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSAUDIOLOGIST 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.